package com.muyu.cache;

import com.muyu.common.domain.Enterprise;
import org.springframework.stereotype.Component;

/**
 * @author yuping
 * @package com.muyu.cache
 * @name EnterpriseCacheService
 * @date 2024/9/29  20:21 企业缓存
 */
@Component
public class EnterpriseCacheService extends CacheAbsBasic<String, Enterprise>{
    /**
     * 缓存前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "enterprise:info:";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
