package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;

/**
 * 企业信息 sys_car_enterprise
 * @author 袁子龙
 * @package com.muyu.breakdown.domain
 * @name: SysCarEnterprise
 * @date: 2024/9/26 19:54
 */

@Data
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_car_enterprise")
public class SysCarEnterprise  extends BaseEntity  {
    private static final  long serialVersionUID = 1L;

    /** 企业id*/
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 企业名称*/
    @Excel(name = "企业名称")
    private String enterpriseName;
    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String name;

    @Excel(name = "用户职位")
    private String position;

    @Excel(name = "公司所在省")
    private String province;

    @Excel(name = "公司所在市")
    private String city;

    @Excel(name = "公司所在县/区")
    private String county;

    @Excel(name = "公司详细地址")
    private String address;

    @Excel(name = "统一社会信用代码")
    private String creditCode;

    @Excel(name = "营业执照")
    private String businessLicense;

}
