package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 报文模版对象
 * @Author：liuxinyue
 * @Package：com.template.domain
 * @Project：cloud-server-c
 * @name：Template
 * @Date：2024/9/20 12:04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "报文模版")
@TableName(value = "t_template",autoResultMap = true)
public class Template {

    /**
     * 模版ID
     */
    @TableId(value = "template_id",type = IdType.AUTO)
    private Integer templateId;
    /**
     * 租户ID
     */
    private Integer houseId;
    /**
     * 模版名称
     */
    private String templateName;
    /**
     * 模版描述
     */
    private String templateDescribe;
    /**
     * 创建时间
     */
    private Date createTime;
}
