package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 预警策略对象 warn_strategy
 *
 * @author muyu
 * @date 2024-09-20
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("warn_strategy")
public class WarnStrategy {
    private static final long serialVersionUID = 1L;

    /** 策略id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 车辆类型id */
    @Excel(name = "车辆类型id")
    private Long carTypeId;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String strategyName;

    /** 报文模版id */
    @Excel(name = "报文模版id")
    private Long templateId;




}
