package com.muyu.server.controller.form;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import lombok.Data;

/**
 * 修改企业信息
 * @author  yuping
 * @package com.muyu.server.controller.form
 * @name UpdateEnterprise
 * @Date 2024/9/29 12:06
 */
@Data
public class UpdateEnterprise {
    @NotNull(message = "enterpriseId企业编号不能为空")
    @Min(value = 1,message = "enterpriseId不能小于1")
    private Integer enterpriseId;

    @NotBlank(message = "enterpriseName企业名称不能为空")
    @Pattern(regexp = "^[0-9a-zA-Z\\u4e00-\\u9fa5]{1,10}$", message = "enterpriseName企业名称不能为空")
    private String enterpriseName;

    @NotNull(message = "enterpriseCarCount企业车辆数量不能为空")
    private Integer enterpriseCarCount;

    @NotNull(message = "enterpriseFenceCount企业围栏组不能为空")
    private Integer enterpriseFenceCount;
}
