package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.WarnRule;
import com.muyu.common.domain.resp.WarnRuleResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 预警规则Mapper接口
 * @author sx
 * @package com.muyu.server.mapper
 * @name WarnRuleMapper
 * @date 2024-09-20
 */
@Mapper
public interface WarnRuleMapper extends BaseMapper<WarnRule> {

    //规则列表
    List<WarnRuleResp> selectWarnRuleRespList();

    //根据策略ID查规则
    List<WarnRuleResp> selectListByStrategyId(@Param("strategyId")Long strategyId);

    //更新
    Integer update(LambdaQueryWrapper<WarnRule> queryWrapper);
}
