package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.SysCarFault;

import java.util.List;

/**
 * 车辆故障码 服务层
 * @author 袁子龙
 * @package: com.muyu.breakdown.service
 * @name : SysCarFaultService
 * @date: 2024/9/20 10:57
 */
public interface SysCarFaultService extends IService<SysCarFault> {
    /**
     * 精确查询车辆故障管理
     *
     * @param id 车辆故障管理主键
     * @return 车辆故障管理
     */
    public SysCarFault selectSysCarFaultById(Long id);

    /**
     * 查询车辆故障管理列表
     *
     * @param sysCarFault 车辆故障管理
     * @return 车辆故障管理集合
     */
    public List<SysCarFault> selectSysCarFaultList(SysCarFault sysCarFault);


    /**
     * 判断 车辆故障管理 faultCode(故障码)是否唯一
     * @param faultCode 车辆故障管理
     * @return 结果
     */

    SysCarFault selectFaultByFaultCode(String faultCode);



}
